VectorLinux
December 19, 2014, 01:22:00 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: how to install Qtstalker  (Read 2311 times)
khashayar
Member
*
Posts: 13



« on: October 14, 2013, 10:16:44 am »

how to install Qtstalker in vector linux?
Logged
overthere
Vectorian
****
Posts: 1281



« Reply #1 on: October 14, 2013, 10:48:18 am »

Do not see it in the repository, you would have to build...you should search depends first try here

http://qtstalker.sourceforge.net/install.html
Logged

Everything Is Relative
khashayar
Member
*
Posts: 13



« Reply #2 on: October 14, 2013, 12:28:32 pm »

Do not see it in the repository, you would have to build...you should search depends first try here

http://qtstalker.sourceforge.net/install.html
thanks for answer
i install depends (ta-lib-0.4.0-src.tar) and when compile qtstalker-0.36 meet this error :
Quote
root:# ./configure
Building Makefile...
Done
Creating national language files in i18n...
/usr/lib/qt/include/QtCore/qbytearray.h:618: circular inclusion of /usr/lib/qt/include/QtCore/qstring.h
/usr/lib/qt/include/QtCore/qstringbuilder.h:45: circular inclusion of /usr/lib/qt/include/QtCore/qstring.h
/usr/lib/qt/include/QtGui/qwmatrix.h:45: circular inclusion of /usr/lib/qt/include/QtGui/qmatrix.h
/usr/lib/qt/include/QtGui/qboxlayout.h:45: circular inclusion of /usr/lib/qt/include/QtGui/qlayout.h
/usr/lib/qt/include/QtGui/qgridlayout.h:45: circular inclusion of /usr/lib/qt/include/QtGui/qlayout.h
/usr/lib/qt/include/QtGui/qactiongroup.h:45: circular inclusion of /usr/lib/qt/include/QtGui/qaction.h
Updating 'i18n/qtstalker_pl.ts'...
    Found 970 source text(s) (29 new and 941 already existing)
    Kept 27 obsolete entries
Done
Compiling existing translations...
Updating 'i18n/qtstalker_pl.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 970 untranslated source text(s)
Done
You may now 'make && make install'
Quote
root:# make && make install
cd lib/ && /usr/bin/qmake /home/khashayar/Programs/qtstalker-0.36/lib/lib.pro DEFINES\ +=\ QT_NO_COMPAT CONFIG\ +=\ qt -o Makefile
cd lib/ && make -f Makefile
make[1]: Entering directory `/home/khashayar/Programs/qtstalker-0.36/lib'
g++ -c -pipe -ffast-math -g -Wall -W -D_REENTRANT -fPIC -DQT_NO_COMPAT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt/mkspecs/linux-g++ -I. -I/usr/lib/qt/include/QtCore -I/usr/lib/qt/include/QtGui -I/usr/lib/qt/include -I/usr/local/include/ta-lib -I. -o QuotePlugin.o QuotePlugin.cpp
In file included from /opt/kde3/lib/qt3/include/qnetworkprotocol.h:45:0,
                 from QuotePlugin.h:26,
                 from QuotePlugin.cpp:22:
/opt/kde3/lib/qt3/include/qurlinfo.h:68:2: error: #error "QUrlInfo::QUrlInfo() should accept QIODevice::Offset instead of uint"
/opt/kde3/lib/qt3/include/qurlinfo.h:98:2: error: #error "QUrlInfo::setSize() should accept QIODevice::Offset instead of uint"
/opt/kde3/lib/qt3/include/qurlinfo.h:116:2: error: #error "QUrlInfo::size() should return QIODevice::Offset instead of uint"
In file included from /opt/kde3/lib/qt3/include/qurlinfo.h:45:0,
                 from /opt/kde3/lib/qt3/include/qnetworkprotocol.h:45,
                 from QuotePlugin.h:26,
                 from QuotePlugin.cpp:22:
/opt/kde3/lib/qt3/include/qdatetime.h:54:16: error: variable ‘Q_EXPORT QDate’ has initializer but incomplete type
/opt/kde3/lib/qt3/include/qdatetime.h:56:1: error: expected primary-expression before ‘public’
/opt/kde3/lib/qt3/include/qdatetime.h:56:1: error: expected ‘}’ before ‘public’
/opt/kde3/lib/qt3/include/qdatetime.h:56:1: error: expected ‘,’ or ‘;’ before ‘public’
/opt/kde3/lib/qt3/include/qdatetime.h:58:33: error: expected constructor, destructor, or type conversion before ‘;’ token
/opt/kde3/lib/qt3/include/qdatetime.h:60:19: error: non-member function ‘bool isNull()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h: In function ‘bool isNull()’:
/opt/kde3/lib/qt3/include/qdatetime.h:60:34: error: ‘jd’ was not declared in this scope
/opt/kde3/lib/qt3/include/qdatetime.h: At global scope:
/opt/kde3/lib/qt3/include/qdatetime.h:61:20: error: non-member function ‘bool isValid()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:63:16: error: non-member function ‘int year()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:64:17: error: non-member function ‘int month()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:65:15: error: non-member function ‘int day()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:66:21: error: non-member function ‘int dayOfWeek()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:67:21: error: non-member function ‘int dayOfYear()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:68:23: error: non-member function ‘int daysInMonth()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:69:22: error: non-member function ‘int daysInYear()’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:70:40: error: non-member function ‘int weekNumber(int*)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:84:57: error: non-member function ‘QString toString(Qt::DateFormat)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:86:47: error: non-member function ‘QString toString(const QString&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:90:5: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:91:5: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:92:5: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:93:26: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:93:36: error: non-member function ‘int daysTo(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:95:30: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:95:41: error: non-member function ‘bool operator==(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:95:41: error: ‘bool operator==(const int&)’ must have an argument of class or enumerated type
/opt/kde3/lib/qt3/include/qdatetime.h:96:30: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:96:41: error: non-member function ‘bool operator!=(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:96:41: error: ‘bool operator!=(const int&)’ must have an argument of class or enumerated type
/opt/kde3/lib/qt3/include/qdatetime.h:97:29: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:97:40: error: non-member function ‘bool operator<(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:97:40: error: ‘bool operator<(const int&)’ must have an argument of class or enumerated type
/opt/kde3/lib/qt3/include/qdatetime.h:98:30: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:98:41: error: non-member function ‘bool operator<=(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:98:41: error: ‘bool operator<=(const int&)’ must have an argument of class or enumerated type
/opt/kde3/lib/qt3/include/qdatetime.h:99:29: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:99:40: error: non-member function ‘bool operator>(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:99:40: error: ‘bool operator>(const int&)’ must have an argument of class or enumerated type
/opt/kde3/lib/qt3/include/qdatetime.h:100:30: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:100:41: error: non-member function ‘bool operator>=(const int&)’ cannot have cv-qualifier
/opt/kde3/lib/qt3/include/qdatetime.h:100:41: error: ‘bool operator>=(const int&)’ must have an argument of class or enumerated type
/opt/kde3/lib/qt3/include/qdatetime.h:102:12: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:103:12: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:105:12: error: ‘QDate’ does not name a type
/opt/kde3/lib/qt3/include/qdatetime.h:112:1: error: expected unqualified-id before ‘private’
/opt/kde3/lib/qt3/include/qdatetime.h:114:5: error: ‘friend’ used outside of class
/opt/kde3/lib/qt3/include/qdatetime.h:116:5: error: ‘friend’ used outside of class
/opt/kde3/lib/qt3/include/qdatetime.h:116:33: error: expected initializer before ‘&’ token
/opt/kde3/lib/qt3/include/qdatetime.h:117:5: error: ‘friend’ used outside of class
/opt/kde3/lib/qt3/include/qdatetime.h:117:33: error: expected initializer before ‘&’ token
/opt/kde3/lib/qt3/include/qdatetime.h:119:1: error: expected declaration before ‘}’ token
make[1]: *** [QuotePlugin.o] Error 1
make[1]: Leaving directory `/home/khashayar/Programs/qtstalker-0.36/lib'
make: *** [sub-lib-make_default] Error 2








« Last Edit: October 14, 2013, 12:47:33 pm by khashayar » Logged
overthere
Vectorian
****
Posts: 1281



« Reply #3 on: October 14, 2013, 01:28:55 pm »

Yes..you may be having an issue with qt as I think vector is using 4 and the application is not compatible with 4 and must have qt3x..as noted on the link page. that is why I suggested you research the depends to insure it was possible as I did not know what version you were installing..am not familiar with the application.

A Linux or FreeBSD compatible or Mac OS X operating system.
Qt development library. At least Qt 3.3.* version. Qt 4 not yet supported
Berkeley DB database. At least db-4.1 version. FreeBSD users are required to use the 4.3 version.
TA-Lib Technical Analysis Library. At least ta-lib-0.3.0 version. See

EDIT: actually looks like vector has qt3.3.8b so should be ok and db aswell..
TA is o.4.0 but errors seem to start with qurlinfo

I would guess and try a lesser TA like 0.3.x or look into kde3 compatabilities

perhaps someone else with more familiarity will chime in
« Last Edit: October 14, 2013, 04:30:19 pm by overthere » Logged

Everything Is Relative
khashayar
Member
*
Posts: 13



« Reply #4 on: October 14, 2013, 09:29:01 pm »

Yes..you may be having an issue with qt as I think vector is using 4 and the application is not compatible with 4 and must have qt3x..as noted on the link page. that is why I suggested you research the depends to insure it was possible as I did not know what version you were installing..am not familiar with the application.

A Linux or FreeBSD compatible or Mac OS X operating system.
Qt development library. At least Qt 3.3.* version. Qt 4 not yet supported
Berkeley DB database. At least db-4.1 version. FreeBSD users are required to use the 4.3 version.
TA-Lib Technical Analysis Library. At least ta-lib-0.3.0 version. See

EDIT: actually looks like vector has qt3.3.8b so should be ok and db aswell..
TA is o.4.0 but errors seem to start with qurlinfo

I would guess and try a lesser TA like 0.3.x or look into kde3 compatabilities

perhaps someone else with more familiarity will chime in
thanks for answer but my problem no solve
« Last Edit: October 15, 2013, 10:22:44 am by khashayar » Logged
hata_ph
Packager
Vectorian
****
Posts: 3261


-- Just being myself --


« Reply #5 on: October 15, 2013, 07:58:03 pm »

I am building qtstalker-qt4...let u all know how it go out soon...
Logged
khashayar
Member
*
Posts: 13



« Reply #6 on: October 16, 2013, 01:25:35 am »

I am building qtstalker-qt4...let u all know how it go out soon...
thanks
Logged
hata_ph
Packager
Vectorian
****
Posts: 3261


-- Just being myself --


« Reply #7 on: October 16, 2013, 04:47:30 pm »

qtstalker-qt4 is available in the testing repo...just enable the testing repo in gslapt and install from it...try it and let me know how it go as I am not sure how to use it

32bit: http://vectorlinux.osuosl.org/veclinux-7.0/testing/
64bit: http://vectorlinux.osuosl.org/VL64-7.0/testing/

PS: Pls disable the testing repo after you install qtstalker-qt4
Logged
khashayar
Member
*
Posts: 13



« Reply #8 on: October 17, 2013, 06:05:52 am »

qtstalker-qt4 is available in the testing repo...just enable the testing repo in gslapt and install from it...try it and let me know how it go as I am not sure how to use it

32bit: http://vectorlinux.osuosl.org/veclinux-7.0/testing/
64bit: http://vectorlinux.osuosl.org/VL64-7.0/testing/

PS: Pls disable the testing repo after you install qtstalker-qt4
thanksful and that's work.
how to create pakage and put tutorial  please
thanks
« Last Edit: October 17, 2013, 06:07:24 am by khashayar » Logged
hata_ph
Packager
Vectorian
****
Posts: 3261


-- Just being myself --


« Reply #9 on: October 17, 2013, 04:59:34 pm »

VL use SlackBuild same like slackware for any packaging...you can check out below link for more detail

http://forum.vectorlinux.com/index.php?topic=6030.0
Logged
khashayar
Member
*
Posts: 13



« Reply #10 on: October 18, 2013, 11:18:05 pm »

VL use SlackBuild same like slackware for any packaging...you can check out below link for more detail

http://forum.vectorlinux.com/index.php?topic=6030.0
thanks
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!